%global     branch   0.4

Name:       mugshot
Version:    0.4.1
Release:    2%{?dist}
Summary:    A lightweight user-configuration application.

Group:      Applications/System
License:    GPLv3
URL:        https://launchpad.net/mugshot
Source:     https://launchpad.net/%{name}/%{branch}/%{version}/+download/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  intltool desktop-file-utils python3-devel
BuildRequires:  python3-distutils-extra python3-pexpect pygobject3-devel, dbus-python-devel, pycairo-devel

Requires:       python3-distutils-extra python3-pexpect pygobject3, python3-dbus, pycairo
Requires:       util-linux-user accountsservice-libs

%description
Mugshot allows you to easily update personal user details. This includes:

Linux profile image: ~/.face
User details stored in /etc/passwd (used by finger)
Pidgin buddy icon
LibreOffice user details

Additional apps may be added in the future.e

%prep
%autosetup
%{__python3} ./setup.py build

%build
# not needed here

%install
%{__python3} ./setup.py install -O1 --force --prefix=%{_prefix} --root %{buildroot}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{_bindir}/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%posttrans
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ]
then
    %{_bindir}/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    %{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%files -f %{name}.lang
%doc COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/%{name}/*
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{python3_sitelib}/%{name}*
%{_mandir}/man1/%{name}.1.gz

%changelog
* Sun Nov 30 2014 Heiko Adams <heiko.adams@gmail.com> - 0.2.5-2
- updated build deps

* Thu Nov 27 2014 Heiko Adams <heiko.adams@gmail.com> - 0.2.5-1
- initial release
